import request from '@/utils/request'

// 查询预警设置列表
export function listFaultSetting(query) {
  return request({
    url: '/fault/faultSetting/list',
    method: 'get',
    params: query
  })
}

// 查询预警设置详细
export function getFaultSetting(id) {
  return request({
    url: '/fault/faultSetting/' + id,
    method: 'get'
  })
}

// 新增预警设置
export function addFaultSetting(data) {
  return request({
    url: '/fault/faultSetting',
    method: 'post',
    data: data
  })
}

// 修改预警设置
export function updateFaultSetting(data) {
  return request({
    url: '/fault/faultSetting',
    method: 'put',
    data: data
  })
}

// 删除预警设置
export function delFaultSetting(id) {
  return request({
    url: '/fault/faultSetting/' + id,
    method: 'delete'
  })
}
